Subject: Re: [Detnet] adoption of draft-dt-detnet-dp-alt-03?

From: "Grossman, Ethan A." <[email-masked]>
Date: Thu, 1 Sep 2016 23:54:16 +0000

Yes I support the draft. This is a really well-crafted document, excellent work Jouni et al.

As I was reading it I made a number of notes about mostly grammatical things that could/should be fixed, along with proposed text for each, and the occasional question about the intended meaning of a phrase. These are listed below.

If you want, I could sign up to make these changes to the draft, but they would need to be proofread to make sure I didn’t misunderstand the ideas.

My intent is not to nit pick, but I feel that a draft that has grammatical errors comes off as one that hasn’t yet had enough eyes on it, so I am trying to support credibility of the draft in my own simple way (i.e. I have nothing useful technical to say, I’m just learning from the draft).

Sincerely,
Ethan.

--------------- Ethan’s comments on draft-dt-detnet-dp-alt-03 -----------------

p.4 - DetNet Transport Layer – “All DetNet nodes are end points and the transport layer.”
? What is this trying to say?

4.1. #1 Encapsulation and overhead: “In addition to the encapsulation mechanism this criteria is also concerned of the processing and specifically the encapsulate header overhead. “
? Fix grammar, e.g. “concerned with”, “encapsulation header”.

4.2. #2 Flow identification : “The flow identification can, for example, be explicit field in the data plane encapsulation header”
? Fix typo e.g. “be an explicit field”.

4.3. #3 Packet sequencing and duplicate elimination: “In addition to possible reordering packets other important uses for sequencing are detecting duplicates and lost packets.”
? Fix typo e.g. “reordering of packets,”.

4.6. #6 Operations, Administration and Maintenance: ”The solution alternative should demonstrate an availability of appropriate standardized OAM tools”
? Fix grammar e.g. “demonstrate availability”

4.7. #8 Class and quality of service capabilities: “Hereto, certain aspects of CoS and QoS may be provided by the underlying sub-net technology”
? Unusual language, suggest “For DetNet, certain aspects“

5.1.1.3. Summary: “IPv6 may be a choice as the DetNet Transport layer in networks where other technologies such as MPLS are not deployed.”
? Does this mean there will be multiple dataplane solutions? I thought the point was to choose one?

5.1.2.1. Solution description: “but these have historically not been supported on in hardware-based forwarding”
? Fix typo, e.g. “but historically these have not been supported in hardware-based forwarding”

5.1.3. Multiprotocol Label Switching (MPLS): “The remainder of this section will focus [RFC6373]. The remainder of this section will focus on the MPLS transport data plane, additional information on the MPLS service data plane can be found below”
? Consolidate these two sentences, or maybe clarify or eliminate first sentence?

5.1.3.2. Analysis and Discussion #1 Encapsulation and overhead (M): “The second perspective relates to encapsulation, if any, is needed to transport packets across network.”
? Fix grammar, e.g. “perspective relates to the encapsulation, if any, which is needed to transport packets across the network”

5.1.3.2. Analysis and Discussion #5 Flow duplication and merging: “there are mechanisms defined to provide 1+1 protection, which could help realizing the flow merging function
? Fix grammar e.g. “realize” or “in realizing”

5.1.4. Bit Indexed Explicit Replication (BIER)
? This section should be called “Bit Indexed Explicit Replication (BIER) over MPLS”, right? Otherwise it sounds like a competitor of ipv6, MPLS, etc.

Ibid “the technology faces a lot of traction”
? “Facing” has negative connotation, you want something positive like “is getting a lot”

Ibid. “Section 5.1.4 discusses the applicability of BIER for replication in the DetNet.”
? Fix wording, suggest “In the context of DetNet, BIER may be applicable for implementing packet replication, as described in section 5.1.4”.

Ibid. “Bit-Indexed Explicit Replication (BIER) layer may be considered to be included into Deterministic Networking data plane solution.”
? No new information in this sentence, suggest deleting it.

Ibid. “Encapsulation of a BIER packet in MPLS network presented in Figure 8”
? Fix grammar, suggest “The encapsulation of a BIER packet in an MPLS network is shown in Figure 8”

5.1.4.1. Solution description: “The DetNet may be presented in BIER as distinctive payload type with its own Proto(col) ID. Then it is likely that DetNet will have the header that would identify”
? Reword for clarity and to fix grammar, suggest “A distinctive BIER payload type (with its own Protocol ID) would be created for DetNet, providing a header that would identify:”

Ibid. “DetNet node, collocated with BFIR, may use multiple BIER sub-domains to create replicated flows. Downstream DetNet nodes, collocated with BFER, would terminate redundant flows based on Sequence Number and/or Timestamp information. Such DetNet may be BFER in one BIER sub- domain and BFIR in another. Thus DetNet flow would traverse several BIER sub-domains.”
? ? Reword for clarity and to fix grammar, suggest “A DetNet node, collocated with a BFIR (Bit-Forwarding Ingress Router) may use multiple BIER sub-domains to create replicated flows. Downstream DetNet nodes, collocated with BFER (Bit-Forwarding Ingress Router) would terminate redundant flows based on Sequence Number and/or Timestamp information. Thus a DetNet node may be collocated with a BFER in one BIER sub- domain and with a BFIR in another, and a DetNet flow could traverse several BIER sub-domains.” [note: is “node” the right term here?]

Ibid. “Consider DetNet flow”
? Fix grammar, suggest “Consider a DetNet flow”

Ibid. “those that deemed too-late”
? Fix grammar, suggest “those that are deemed “too-late””.

5.1.4.2. Analysis and Discussion #1 Encapsulation and overhead: “(will refer as "BIER over MPLS" further for short), Figure 8, is being defined [I-D. ietf- bier-mpls-encapsulation]”
? Fix grammar, suggest “("BIER over MPLS")”

Ibid. “[I-D. ietf- bier-mpls-encapsulation]”
? Fix ineffective link

Ibid. “#5 Flow duplication and merging: “is core function”
? Fix grammar, e.g. “is a core function”.

Ibid. #6: “Some OAM protocols, e.g. can be applied and used in BIER over MPLS as demonstrated [I-D.ooamdt-rtgwg-oam-gap-analysis], while new protocols being worked on”
? Fix grammar, e.g. “Existing OAM protocols can be applied and used in BIER over MPLS as demonstrated in [I-D.ooamdt-rtgwg-oam-gap-analysis], while new protocols are being worked on”

Ibid. #8: “constrains”
? Fix spelling, “constraints”.

Ibid. “calculating explicit path”
? Fix grammar, “calculating explicit paths”.

5.1.5.1. Solution description: “BIER-TE enables to activate”
? Fix grammar, suggest “enables activation of”

Ibid. “Adversely”
? Wrong word, you mean “Conversely”.

Ibid. “In more details”
? Fix grammar, “in more detail”

Ibid. “BIER-TE also enables to detect the failing adjacencies”
? Fix grammar, e.g. “BIER-TE also enables detection of failing adjacencies”

Ibid. “enables to avoid”
? Fix grammar, “enables avoiding”

5.1.5.2. Analysis and Discussion #5 Flow duplication and merging “M/W) The bitmap expresses in a very concise fashion which replication and merging (and elimination) should take place for a given packet. It also enables to control that process on a per packet basis, depending on the loss that it enables to measure.”
? Fix missing paren “(M/W)”.
? “enables to control” should be “enables controlling”.
? I don’t understand what this means “depending on the loss that it enables to measure” – please clarify.

Ibid. #6: “enables to determine”
? Fix grammar, e.g. “enables determination of”

Ibid. #9 Packet traceability (W): “enables to determine which is”
? Fix grammar, e.g. “enables determination of”

Ibid. #10: “as is not fully defined.”
?Fix grammar, “and is not fully defined”.

5.1.5.3. Summary: “In the one hand it is optional, and only useful if replication and elimination is taking place. In the other hand,”
? Fix grammar, the expression is “On the one hand… on the other hand”.

5.2.2. MPLS-based Services for DetNet: “MPLS based technologies supports both the DetNet Service and DetNet Transport layers. This, as well as a general overview of MPLS, is covered above in Section 5.1.3.”
? Grammar: “supports” should be “support”.

Ibid. “These sections focus on the DetNet Service Layer”
? Do you mean the previous sections or the following sections?

Ibid. “it provides client service adaption, via Pseudowires”
? Not sure what you mean here. Is it “These sections focus on the DetNet Service Layer which provides client service adaption, via Pseudowires”?

Ibid. “MPLS can thus also bounded by”
? Fix typo, “can thus also be bounded by”

Ibid. “While MPLS service can provided on and true end-system to end- system basis,”
? Fix typo, suggest “on a true”

5.2.3.2. Analysis and Discussion #1 Encapsulation and overhead (M) “PWs offer encapsulation services practically for any types of payloads over any PSN”
? Fix grammar, e.g. “PWs offer encapsulation services for practically any type of payload over any PSN”

Ibid. #2 Flow identification (M) “the MPLS PSN also uses one or more labels to transport packets over a specific label switched paths”.
? Fix grammar, I think you want “over specific label switched paths”

Ibid. “#5 Flow duplication and merging (W) “transport leyer connection, though”
? Fix typo “layer”.
? Eliminate extra word “, though”.

Ibid #6 “likewise IP PSN have the full toolbox”
? Fix typo “has the full toolbox”.

Ibid. #8: “Due to the limited number of bits in the TC field, their use for QoS and ECN functions restricted and intended to be flexible.”
? Do you mean  “their use for QoS and ECN functions is restricted and is not intended to be flexible.”? Please fix wording.

Ibid. #10 “already get close”
? Fix typo “already gets close”

I am starting to understand that some networks support MPLS and some don’t, so if we depend on MPLS we have to have a backup plan for IP based networks. Is that correct? If so maybe that should be explained somewhere early on, to make it clear that more than one solution must be considered.

5.2.5.2.1. Solution Description: “transposting RTP header”
? should be “transporting RTP headers”, right?

Ibid. “monitors of the data delivery”
? Fix typo “monitors the data delivery”

5.2.5.2.2 #2 Flow identification: “no two synchronization sources within the same RTP session has the same SSRC identifier”
? Fix grammar “have the same SSRC identifier”.

-------------------------------------------------------------------------------------------

From: detnet [mailto:[email-masked]] On Behalf Of Pat Thaler
Sent: Tuesday, August 23, 2016 11:08 AM
To: [email-masked]
Subject: Re: [Detnet] adoption of draft-dt-detnet-dp-alt-03?

I mean Sept 5 - two week poll plus a bit since it was sent towards the end of a Friday.

On Fri, Aug 19, 2016 at 11:53 AM, Pat Thaler <[email-masked]<mailto:[email-masked]>> wrote:
All,

This is start of a two-week poll on making
draft-dt-detnet-dp-alt-03 a working group document. Please
send email to the list indicating "yes/support" or "no/do not
support". If indicating no, please state your reservations with the
document.  If yes, please also feel free to provide comments you'd
like to see addressed once the document is a WG document.

The poll ends Sept 5, 2016

Thanks,
Pat Thaler

---

From: Lou Berger <[email-masked]>
Date: Fri, 2 Sep 2016 07:47:52 -0400

Sorry about being a day late on this.

For the record, I want to restate my view from [1] that this document is
not the right place for *any* mechanism definition -- and that the
BIER-TE definitions should be removed prior to the document being
published as an RFC.

Lou

[1] https://www.ietf.org/mail-archive/web/detnet/current/msg00693.html

On 8/19/2016 2:53 PM, Pat Thaler wrote:
> The poll ends April 1, 2016
>
> Thanks,
> Pat Thaler
>
>
> _______________________________________________
> detnet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/detnet

---

From: János Farkas <[email-masked]>
Date: Fri, 2 Sep 2016 15:33:36 +0200

Support as a co-author.
Janos

On 8/23/2016 8:06 PM, Pat Thaler wrote:
> Of course that should be September 1. I really thought I had edited that.
>
>     The poll ends *Sept* 1, 2016
>
>     Thanks,
>     Pat Thaler
>
>
>
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 2 Sep 2016 16:00:46 +0100

All,

I looked at the IPR and I see it is RAND (not the "we won't sue you if you don't
sue us" that is often used). I think that is a shame and an unfortunate way for
DetNet to start.

But perhaps we can kill two birds with one stone? If we remove all discussion of
BIER-TE (except perhaps an informative reference to some document that describes
BIER-TE) we will:
- avoid an IETF end-run defining technology that is not in scope
- allow the IPR holder to retract their disclosure

FWIW I think BIER-TE belongs in the BIER working group, but only after it has
been rechartered. And I think that rechartering is only likely to happen when
the WG has reached stability around the core BIER technology - but this is a
decision the ADs are likely to be able to clarify.

I agree with others that this is a good document (also agree that some edits
will be needed :-) and support it being adopted conditional on the removal of
normative text about BIER-TE.

Cheers,
Adrian

> -----Original Message-----
> From: detnet [mailto:[email-masked]] On Behalf Of Lou Berger
> Sent: 02 September 2016 12:48
> To: Pat Thaler; [email-masked]

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Fri, 2 Sep 2016 18:08:05 +0000

Hi,

I was on vacation and still catching up on email - a couple of items from the charter:

- BIER-TE is out-of-scope per the charter for detnet, so it should not be included even in a working group document.
- this document is not listed on your milestones, we need to keep focus on completing the chartered deliverables.

Thanks - good weekends!
Deborah

> Sent: Friday, September 02, 2016 7:48 AM
> To: Pat Thaler <[email-masked]>; [email-masked]

---

From: Lou Berger <[email-masked]>
Date: Fri, 2 Sep 2016 14:19:29 -0400

Deborah,

    message received.

All,

It looks like we'll need a new rev from the DT before publishing the WG
version.  (Following option c in my message identified below [1].)

Lou

---

From: Pat Thaler <[email-masked]>
Date: Fri, 2 Sep 2016 12:03:42 -0700

To clarify, my initial email opening the poll had the wrong closing date.
The closing date for this poll is Monday 5 September (because the opening
email went out late on a Friday, I counted the two weeks from Monday).

The poll is still going and I plan to announce the conclusion on Monday.

Regards,
Pat

---

From: Pat Thaler <[email-masked]>
Date: Fri, 2 Sep 2016 15:45:32 -0700

This poll is nearing completion. I'm putting this out early as I'll be
traveling next week, but I'll check for any additional inputs on Monday.

Authors, per our AD's direction, please prepare a draft with BIER-TE
removed.

Assuming no significant change in the feedback is received by Monday,
please upload that draft with the title: draft-ietf-detnet-dp-alt-00.

Regards,
Pat (and Lou)

On Fri, Aug 19, 2016 at 11:53 AM, Pat Thaler <[email-masked]>

---

From: Loa Andersson <[email-masked]>
Date: Sun, 4 Sep 2016 13:05:21 +0200

Pat,

While I support adopting he draft that will result from removing the
BIER-TE discussion my reading of this thread is that the RAND IPR
disclosure that Adrian pointed out is still in effect. Since we all
seem to be very careful (and rightly so) around IPR discussions, my
take is that we not have consensus to adopt the document with the
IPR disclosure still in effect.

/Loa

On 2016-09-03 00:45, Pat Thaler wrote:
> On Fri, Aug 19, 2016 at 11:53 AM, Pat Thaler <[email-masked]
> <mailto:[email-masked]>> wrote (with date corrected):
>
>     All,
>

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: Jouni Korhonen <[email-masked]>
Date: Wed, 14 Sep 2016 04:04:48 -0700

Thanks Ethan,

I included the grammar corrections to the coming dp-alt-04. Others that
need more discussion are for later revisions.

- Jouni

On Thu, Sep 1, 2016 at 4:54 PM, Grossman, Ethan A. <[email-masked]> wrote:

> As I was reading it I made a number of notes about mostly grammatical
> things that could/should be fixed, along with proposed text for each, and
> the occasional question about the intended meaning of a phrase. These are
> listed below.
>
>
>
> If you want, I could sign up to make these changes to the draft, but they
> would need to be proofread to make sure I didn’t misunderstand the ideas.
>
>
>
> My intent is not to nit pick, but I feel that a draft that has grammatical
> errors comes off as one that hasn’t yet had enough eyes on it, so I am
> trying to support credibility of the draft in my own simple way (i.e. I
> have nothing useful technical to say, I’m just learning from the draft).
>
>
>
> Sincerely,
>
> Ethan.
>
>
>
> 4.1. #1 Encapsulation and overhead: “In addition to the encapsulation
> mechanism this criteria is also concerned of the processing and
> specifically the encapsulate header overhead. “
>
> 4.2. #2 Flow identification : “The flow identification can, for example, be
> explicit field in the data plane encapsulation header”
>
> 4.3. #3 Packet sequencing and duplicate elimination: “In addition to
> possible reordering packets other important uses for sequencing are
> detecting duplicates and lost packets.”
>
> 4.6. #6 Operations, Administration and Maintenance: ”The solution
> alternative should demonstrate an availability of appropriate
> standardized OAM tools”
>
> 4.7. #8 Class and quality of service capabilities: “Hereto, certain
> aspects of CoS and QoS may be provided by the underlying sub-net technology”
>
> 5.1.1.3. Summary: “IPv6 may be a choice as the DetNet Transport layer in
> networks where other technologies such as MPLS are not deployed.”
>
> 5.1.2.1. Solution description: “but these have historically not been
> supported on in hardware-based forwarding”
>
> 5.1.3. Multiprotocol Label Switching (MPLS): “The remainder of this
> section will focus [RFC6373]. The remainder of this section will focus on
> the MPLS transport data plane, additional information on the MPLS service
> data plane can be found below”
>
> 5.1.3.2. Analysis and Discussion #1 Encapsulation and overhead (M): “The
> second perspective relates to encapsulation, if any, is needed to
> transport packets across network.”
>
> ? Fix grammar, e.g. “perspective relates to the encapsulation, if any,
> which is needed to transport packets across the network”
>
>
>
> 5.1.3.2. Analysis and Discussion #5 Flow duplication and merging: “there
> are mechanisms defined to provide 1+1 protection, which could help realizing
> the flow merging function
>
> ? This section should be called “Bit Indexed Explicit Replication (BIER)
> over MPLS”, right? Otherwise it sounds like a competitor of ipv6, MPLS,
> etc.
>
>
>
> ? Fix wording, suggest “In the context of DetNet, BIER may be applicable
> for implementing packet replication, as described in section 5.1.4”.
>
>
>
> Ibid. “Bit-Indexed Explicit Replication (BIER) layer may be considered to
> be included into Deterministic Networking data plane solution.”
>
> 5.1.4.1. Solution description: “The DetNet may be presented in BIER as
> distinctive payload type with its own Proto(col) ID. Then it is likely that
> DetNet will have the header that would identify”
>
> ? Reword for clarity and to fix grammar, suggest “A distinctive BIER
> payload type (with its own Protocol ID) would be created for DetNet,
> providing a header that would identify:”
>
>
>
> Ibid. “DetNet node, collocated with BFIR, may use multiple BIER
> sub-domains to create replicated flows. Downstream DetNet nodes, collocated
> with BFER, would terminate redundant flows based on Sequence Number and/or
> Timestamp information. Such DetNet may be BFER in one BIER sub- domain and
> BFIR in another. Thus DetNet flow would traverse several BIER sub-domains.”
>
> ? ? Reword for clarity and to fix grammar, suggest “A DetNet node,
> collocated with a BFIR (Bit-Forwarding Ingress Router) may use multiple
> BIER sub-domains to create replicated flows. Downstream DetNet nodes,
> collocated with BFER (Bit-Forwarding Ingress Router) would terminate
> redundant flows based on Sequence Number and/or Timestamp information. Thus
> a DetNet node may be collocated with a BFER in one BIER sub- domain and
> with a BFIR in another, and a DetNet flow could traverse several BIER
> sub-domains.” [note: is “node” the right term here?]
>
>
>
> Ibid. “those that deemed too-late*”*
>
> 5.1.4.2. Analysis and Discussion #1 Encapsulation and overhead: “(will
> refer as "BIER over MPLS" further for short), Figure 8, is being defined
> [I-D. ietf- bier-mpls-encapsulation]”
>
> Ibid. #6: “Some OAM protocols, e.g. can be applied and used in BIER over
> MPLS as demonstrated [I-D.ooamdt-rtgwg-oam-gap-analysis], while new
> protocols being worked on”
>
> ? Fix grammar, e.g. “Existing OAM protocols can be applied and used in
> BIER over MPLS as demonstrated in [I-D.ooamdt-rtgwg-oam-gap-analysis],
> while new protocols are being worked on”
>
>
>
> Ibid. #8: “constrains”
>
> 5.1.5.2. Analysis and Discussion #5 Flow duplication and merging “M/W) The
> bitmap expresses in a very concise fashion which replication and merging
> (and elimination) should take place for a given packet. It also enables to
> control that process on a per packet basis, depending on the loss that it
> enables to measure.”
>
> 5.1.5.3. Summary: “In the one hand it is optional, and only useful if
> replication and elimination is taking place. In the other hand,”
>
> 5.2.2. MPLS-based Services for DetNet: “MPLS based technologies supports
> both the DetNet Service and DetNet Transport layers. This, as well as a
> general overview of MPLS, is covered above in Section 5.1.3.”
>
> ? Not sure what you mean here. Is it “These sections focus on the DetNet
> Service Layer which provides client service adaption, via Pseudowires”?
>
>
>
> 5.2.3.2. Analysis and Discussion #1 Encapsulation and overhead (M) “PWs
> offer encapsulation services practically for any types of payloads over any
> PSN”
>
> Ibid. #2 Flow identification (M) “the MPLS PSN also uses one or more
> labels to transport packets over a specific label switched paths”.
>
> Ibid. #8: “Due to the limited number of bits in the TC field, their use
> for QoS and ECN functions restricted and intended to be flexible.”
>
> ? Do you mean  “their use for QoS and ECN functions is restricted and is
> not intended to be flexible.”? Please fix wording.
>
>
>
> I am starting to understand that some networks support MPLS and some
> don’t, so if we depend on MPLS we have to have a backup plan for IP based
> networks. Is that correct? If so maybe that should be explained somewhere
> early on, to make it clear that more than one solution must be considered.
>
>
>
> 5.2.5.2.2 #2 Flow identification: “no two synchronization sources within
> the same RTP session has the same SSRC identifier”
>
> *From:* detnet [mailto:[email-masked]] *On Behalf Of *Pat Thaler
> *Sent:* Tuesday, August 23, 2016 11:08 AM
> *To:* [email-masked]
> *Subject:* Re: [Detnet] adoption of draft-dt-detnet-dp-alt-03?
>
>
>
> wrote:
> The poll ends *Sept 5*, 2016
>
> Thanks,
>
> Pat Thaler
>
>
>
>
>

-- 
Jouni Korhonen, Broadcom Ltd.

---

From: Jouni Korhonen <[email-masked]>
Date: Wed, 14 Sep 2016 04:15:36 -0700

Folks,

I just submitted dp-alt-04 with BIER-TE carved out. I also implemented
grammar-only corrections proposed by Ethan.

- Jouni

On Fri, Sep 2, 2016 at 11:19 AM, Lou Berger <[email-masked]> wrote:

> > - BIER-TE is out-of-scope per the charter for detnet, so it should not
> be included even in a working group document.
> > - this document is not listed on your milestones, we need to keep focus
> on completing the chartered deliverables.
> >
> > Thanks - good weekends!
> > Deborah
> >
> >

---

From: Lou Berger <[email-masked]>
Date: Wed, 14 Sep 2016 08:40:16 -0400

Thanks Jouni -- Are there any other issues raised during the adoption
poll that have not yet been addressed?

Lou

---

From: Pat Thaler <[email-masked]>
Date: Wed, 14 Sep 2016 07:11:00 -0700

There was a question from S.V.R Anand - it isn't clear to me whether that
would create a change in the draft.
There were commentsalong with a support from Oliver Marce.
Both those emails were August 22.

Also, this from Loa Anderson:

My understanding of the LOA was that it was submitted due to the BIER-TE
content. It would be good if Pascal would clarify that it no longer applies.

Regards,
Pat

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 14 Sep 2016 14:52:46 +0000

The Cisco IPR no longer applies, Pat;

I took action with our lawyers to get the post removed and associated with the new separate draft:
https://tools.ietf.org/html/draft-thubert-bier-replication-elimination-00.txt

IPR vs. informational is a difficult match, apparently.

Take care,

Pascal

From: detnet [mailto:[email-masked]] On Behalf Of Pat Thaler
Sent: mercredi 14 septembre 2016 16:11
To: Lou Berger <[email-masked]>
Cc: Jouni Korhonen <[email-masked]>; [email-masked]; BRUNGARD, DEBORAH A <[email-masked]>
Subject: Re: [Detnet] adoption of draft-dt-detnet-dp-alt-03?

There was a question from S.V.R Anand - it isn't clear to me whether that would create a change in the draft.
There were commentsalong with a support from Oliver Marce.
Both those emails were August 22.

My understanding of the LOA was that it was submitted due to the BIER-TE content. It would be good if Pascal would clarify that it no longer applies.

Regards,
Pat

On Wed, Sep 14, 2016 at 5:40 AM, Lou Berger <[email-masked]<mailto:[email-masked]>> wrote:
Thanks Jouni -- Are there any other issues raised during the adoption
poll that have not yet been addressed?

Lou

---

From: Pat Thaler <[email-masked]>
Date: Wed, 14 Sep 2016 08:04:44 -0700

Thank you for the confirmation, Pascal.

Regards,
Pat

On Wed, Sep 14, 2016 at 7:52 AM, Pascal Thubert (pthubert) <
[email-masked]> wrote:

> *Sent:* mercredi 14 septembre 2016 16:11
> *To:* Lou Berger <[email-masked]>
> *Cc:* Jouni Korhonen <[email-masked]>; [email-masked];
> BRUNGARD, DEBORAH A <[email-masked]>

---

From: Jouni Korhonen <[email-masked]>
Date: Wed, 14 Sep 2016 08:14:38 -0700

Loa's comment should have been addressed when the BIER-TE was taken out.
Other comments from Anand's, Olivier's and some of Ethan's are good
comments but from my point of view do not need to be addressed in the -00
version. They all supported the adoption after all and comments were
against the individual version of the draft. I am more than happy to
implement them into the WG version of the draft if the rest of the WG
agrees.

- Jouni

---

From: Pat Thaler <[email-masked]>
Date: Thu, 15 Sep 2016 04:08:27 -0700

Jouni,

Please upload the current (BIER-TE removed) draft as the -00 Working Group
draft.

The intent of my email was to make sure the comments don't get lost, but
would be addressed after the initial WG draft version.

Regards,
Pat

On Wed, Sep 14, 2016 at 8:14 AM, Jouni Korhonen <[email-masked]

---

From: Jouni Korhonen <[email-masked]>
Date: Tue, 20 Sep 2016 10:29:53 -0700

Will do.

- Jouni

9/15/2016, 4:08 AM, Pat Thaler kirjoitti:
> Jouni,
>
> Please upload the current (BIER-TE removed) draft as the -00 Working
> Group draft.
>
> On Wed, Sep 14, 2016 at 8:14 AM, Jouni Korhonen
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     comments but from my point of view do not need to be addressed in
>     the -00 version. They all supported the adoption after all and
>     comments were against the individual version of the draft. I am more
>     than happy to implement them into the WG version of the draft if the
>     rest of the WG agrees.
>
>     - Jouni
>
>     On Wed, Sep 14, 2016 at 7:11 AM, Pat Thaler <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>         There was a question from S.V.R Anand - it isn't clear to me
>         whether that would create a change in the draft.
>         My understanding of the LOA was that it was submitted due to the
>         BIER-TE content. It would be good if Pascal would clarify that
>         it no longer applies.
>
>         Regards,
>         Pat
>